<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: lorena.salamanca
@modified christian.rodriguez
  
@cu CU-SA-AC-083 Consultar Pagos Parafiscales del Avaluador Externo 

-->

<h:panelGrid id="consultarPagosParafiscalesForm"
             xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" width="100%">

    <p:fieldset>
        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:outputLabel value="Número documento:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{consultaPagosParafiscales.avaluador.numeroIdentificacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Nombre avaluador:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{consultaPagosParafiscales.avaluador.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Territorial:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{consultaPagosParafiscales.avaluador.territorial.nombre}"
                styleClass="outputTextStyle" />

            <h:outputText value="" />
            <h:outputText value="" />

            <h:outputLabel value="Número contrato:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{consultaPagosParafiscales.contratoAvaluador.contratoNumero}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Año contrato:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{consultaPagosParafiscales.contratoAvaluador.anio}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Valor total pagos salud:"
                           styleClass="outputLabelStyle" />
            <h:outputText value="#{consultaPagosParafiscales.contratoAvaluador.valorTotalPagosSalud}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>

            <h:outputLabel value="Valor total pagos pensión:"
                           styleClass="outputLabelStyle" />
            <h:outputText value="#{consultaPagosParafiscales.contratoAvaluador.valorTotalPagosPension}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>

        </h:panelGrid>

        <h:panelGrid columns="1" cellspacing="7" width="100%">

            <p:dataTable value="#{consultaPagosParafiscales.pagosParafiscales}"
                         var="pago" rowKey="#{pago.id}"
                         emptyMessage="No se encontraron pagos parafiscales.">

                <f:facet name="header">
                    Información pagos salud y pensión
                </f:facet>

                <p:column headerText="Número orden pago">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{pago.numeroOrdenPago}" />
                </p:column>

                <p:column headerText="Fecha pago">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{pago.fechaPago}">
                        <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                           timeZone="GMT-5" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Valor pago salud">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{pago.valorPagarSalud}">
                        <f:converter converterId="converterMoneda" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Valor pago pensión">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{pago.valorPagarPension}">
                        <f:converter converterId="converterMoneda" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Número recibo">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{pago.numeroReciboParafiscales}" />
                </p:column>

                <p:column headerText="Sec. pago">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{pago.consecutivoPago}" />
                </p:column>
            </p:dataTable>

        </h:panelGrid>

    </p:fieldset>

</h:panelGrid>